<?php
 /***************************************************************************\
  *  Expresso - Expresso Messenger                                            *
  *  	- Alexandre Correia / Rodrigo Souza							          *
  *  	- JETI - http://jeti-im.org/										  *
  * ------------------------------------------------------------------------- *
  *  This program is free software; you can redistribute it and/or modify it  *
  *  under the terms of the GNU General Public License as published by the    *
  *  Free Software Foundation; either version 2 of the License, or (at your   *
  *  option) any later version.                                               *
  \***************************************************************************/

class FileDefine
{

	final function getParams($pParam)
	{
		$array_values = explode("\n", $pParam['val']);	
		$infoServer = array();

		foreach($array_values as $tmp )
		{
			$nvalue = explode(";", $tmp);
			
			switch(trim($nvalue[0]))
			{
				case "JETTI_SERVER_LDAP_JABBERIT" :
							$infoServer['host'] = $nvalue[1];							
							break;			
			
				case "JETTI_CONTEXT_LDAP_JABBERIT" :	
							$infoServer['context'] = $nvalue[1];
							break;
			
				case "JETTI_USER_LDAP_JABBERIT" :
							$infoServer['dn'] = $nvalue[1];
							break;
			
				case "JETTI_PASSWORD_LDAP_JABBERIT" :
							$infoServer['passwd'] = $nvalue[1];				
							break;
			}
		}
		
		$this->writeFile($infoServer);
	}

	private final function writeFile($pContent)
    {
 	
		$filename = dirname(__FILE__).'/conf_Ldap_Photos.php';
		$caracter = "$";
		$content = "<?php ".$caracter."CONF_SERVER="."\"" . base64_encode(serialize($pContent)) ."\""." ?>";

		if (!$handle = fopen($filename, 'w'))
		{
			echo "No foi possvel abrir o arquivo : \n($filename)";
			exit;
		}
		
		if (fwrite($handle, $content) === FALSE)
		{
			echo "No foi possvel escrever no arquivo : \n($filename)";
			exit;
		}
		
		echo "Arquivo : \n $filename \ncriado com sucesso !!";
		fclose($handle);
    }

}
?>